summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHaelwenn (lanodan) Monnier <contact@hacktivis.me>2018-05-14 06:12:14 +0200
committerMichał Górny <mgorny@gentoo.org>2018-06-07 08:22:35 +0200
commit180c91de42c89e14de71abb52c9ca6792425daca (patch)
treeb8c02f7c051f55f2cfa35c16daac56033dbe8fda /www-plugins/passff-host
parentmedia-gfx/qrencode: Remove buggy 4.0.1 (diff)
downloadgentoo-180c91de42c89e14de71abb52c9ca6792425daca.tar.gz
gentoo-180c91de42c89e14de71abb52c9ca6792425daca.tar.bz2
gentoo-180c91de42c89e14de71abb52c9ca6792425daca.zip
www-plugins/passff-host: New Package
Closes: https://bugs.gentoo.org/654218 Closes: https://bugs.gentoo.org/656358
Diffstat (limited to 'www-plugins/passff-host')
-rw-r--r--www-plugins/passff-host/Manifest2
-rw-r--r--www-plugins/passff-host/metadata.xml20
-rw-r--r--www-plugins/passff-host/passff-host-1.0.1.ebuild56
3 files changed, 78 insertions, 0 deletions
diff --git a/www-plugins/passff-host/Manifest b/www-plugins/passff-host/Manifest
new file mode 100644
index 00000000000..5f1b3eb2ed4
--- /dev/null
+++ b/www-plugins/passff-host/Manifest
@@ -0,0 +1,2 @@
+DIST passff-host-1.0.1.json 176 BLAKE2B 8eddc19cd0c072d25afff5cfa86a95d960ae7b986727099a04a1d983b887922f9ad77e940a2c80e0838a169afe81fa3f6529a901998bb98a6750ac888a09c264 SHA512 e4a4b90fb5323c6dbec339b9e67a7d546c6d7a95754fe03b3a4d96396c28de1caba3068b4e936ee0ce0997f865c8b5e53a3da1fb34f0123a04c5889302c28911
+DIST passff-host-1.0.1.py 3432 BLAKE2B f45054bf9323608b515de559c36ad28705fb9c75de00824b0ed8e05d21545b861ba61194cf25a4db84b55d64f7d08abec27d56bb8d098961e94fbbcb9d7f3707 SHA512 168b4d3cdc9f463a7969adc851c878b5b7ddad7d05415770273510c99d8fa7c80015611df1554f24c8b8cd0f256d3a8f687a325e34105e029487eb4fc5ea7290
diff --git a/www-plugins/passff-host/metadata.xml b/www-plugins/passff-host/metadata.xml
new file mode 100644
index 00000000000..1e9cea82ee0
--- /dev/null
+++ b/www-plugins/passff-host/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+ <email>contact@hacktivis.me</email>
+</maintainer>
+<maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+</maintainer>
+<use>
+ <flag name="chrome">Install plugin for chrome (which also includes opera)</flag>
+ <flag name="chromium">Install plugin for chromium</flag>
+ <flag name="firefox">Install plugin for firefox</flag>
+ <flag name="vivaldi">Install plugin for vivaldi</flag>
+</use>
+<upstream>
+ <remote-id type="github">passff/passff-host</remote-id>
+</upstream>
+</pkgmetadata>
diff --git a/www-plugins/passff-host/passff-host-1.0.1.ebuild b/www-plugins/passff-host/passff-host-1.0.1.ebuild
new file mode 100644
index 00000000000..9b984afdc45
--- /dev/null
+++ b/www-plugins/passff-host/passff-host-1.0.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_4 python3_5 python3_6 )
+
+inherit python-single-r1
+
+DESCRIPTION="Host app for the PassFF WebExtension"
+HOMEPAGE="https://github.com/passff/passff-host"
+
+# Using raw because of difference between git and release
+# See https://github.com/passff/passff-host/issues/18
+SRC_URI="
+ https://github.com/passff/passff-host/raw/${PV}/src/passff.py -> ${P}.py
+ https://github.com/passff/passff-host/raw/${PV}/src/passff.json -> ${P}.json
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="chrome chromium firefox vivaldi"
+REQUIRED_USE="|| ( chrome chromium firefox vivaldi )"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ cp "${DISTDIR}/${P}.json" . || die
+ cp "${DISTDIR}/${P}.py" . || die
+}
+
+src_prepare() {
+ default
+
+ sed -i "s/_VERSIONHOLDER_/${PV}/" "${P}.py" || die
+ python_fix_shebang "${P}.py"
+}
+
+src_install() {
+ local target_dirs=()
+
+ use chrome && target_dirs+=( "/etc/opt/chrome/native-messaging-hosts" )
+ use chromium && target_dirs+=( "/etc/chromium/native-messaging-hosts" )
+ use firefox && target_dirs+=( "/usr/lib/mozilla/native-messaging-hosts" )
+ use vivaldi && target_dirs+=( "/etc/vivaldi/native-messaging-hosts" )
+
+ for target_dir in "${target_dirs[@]}"; do
+ sed "s;PLACEHOLDER;${target_dir};g" "${P}.json" > "passff.json" || die
+
+ insinto "${target_dir}"
+ doins passff.json
+ exeinto "${target_dir}"
+ newexe "${P}.py" passff.py
+ done
+}